# Uses of Interface
com.databricks.jdbc.dbclient.IDatabricksMetadataClient

Packages that use IDatabricksMetadataClient
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift

## Uses of IDatabricksMetadataClient in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return IDatabricksMetadataClient
Modifier and Type
Method
Description
`IDatabricksMetadataClient`
DatabricksSession.`getDatabricksMetadataClient()`

## Uses of IDatabricksMetadataClient in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return IDatabricksMetadataClient
Modifier and Type
Method
Description
`IDatabricksMetadataClient`
IDatabricksSession.`getDatabricksMetadataClient()`
Returns the metadata client

## Uses of IDatabricksMetadataClient in com.databricks.jdbc.dbclient.impl.sqlexec

Classes in com.databricks.jdbc.dbclient.impl.sqlexec that implement IDatabricksMetadataClient
Modifier and Type
Class
Description
`class`
`DatabricksEmptyMetadataClient`
`class`
`DatabricksMetadataSdkClient`
Implementation for `IDatabricksMetadataClient` using `IDatabricksClient`.

## Uses of IDatabricksMetadataClient in com.databricks.jdbc.dbclient.impl.thrift

Classes in com.databricks.jdbc.dbclient.impl.thrift that implement IDatabricksMetadataClient
Modifier and Type
Class
Description
`class`
`DatabricksThriftServiceClient`